Name: maui
Version: 3.2.6p19_snap.1171482917
Release: 1_sl4
Source0: http://www.clusterresources.com/downloads/maui/maui-3.2.6p19-snap.1171482917.tar.gz
Source1: maui-init.d.sh
Source2: maui.cfg
Source3: maui.sysconfig
# Increase the number of queues we can cope with.
Patch1: maui_max_mclass_patch
# Increase the number of queued jobs we can cope with.
Patch2: maui_max_mjobs_patch
# Increase the number of job slots we can have.
Patch4: maui_max_mres_patch
Patch6: adminhost-check.patch
Patch8: FSPolicy-value.patch
Summary: The Maui supercluster scheduler
Copyright: unknown
Group: System/Daemons
Packager: Steve Traylen <s.traylen@rl.ac.uk>
BuildRoot: /var/tmp/maui-%{version}-root
BuildRequires: torque-devel torque torque-client


%package client
Requires: maui = %{version}-%{release}
Summary: Client for the MAUI schedular from SuperCluster.org
Group: System/Tools

%package server
Requires: maui = %{version}-%{release}
Summary: Server for the MAUI schedular from SuperCluster.org
Group: System/Tools

%package devel
Summary: Libary and header files for maui.
Group: System/Tools

%description
MAUI is the scheduler from SuperCluster.org

%description client
MAUI is the scheduler from SuperCluster.org

%description server
MAUI is the scheduler from SuperCluster.org

%description devel
MAUI is the scheduler from SuperCluster.org



%prep
%setup -q  -n  maui-3.2.6p19

%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch6  -p1
%patch8  -p1

%build


%configure --with-spooldir=%{_var}/spool/maui
make 

%install
make install \
       INST_DIR=${RPM_BUILD_ROOT}%{_prefix} \
       MSCHED_HOME=${RPM_BUILD_ROOT}%{_var}/spool/maui


mkdir -p ${RPM_BUILD_ROOT}/etc/init.d/
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig


cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/init.d/maui
chmod 0755 ${RPM_BUILD_ROOT}/etc/init.d/maui
cp %{SOURCE2} ${RPM_BUILD_ROOT}/var/spool/maui/maui.cfg
chmod 0644 ${RPM_BUILD_ROOT}/var/spool/maui/maui.cfg
cp %{SOURCE3} ${RPM_BUILD_ROOT}/etc/sysconfig/maui

%clean

%files 
%defattr(-,root,root)
%config(noreplace) /var/spool/maui/maui.cfg
%config(noreplace) /var/spool/maui/maui-private.cfg

%files client
%attr(0755,root,root) /usr/bin/*

%files server
%defattr(-,root,root)
%attr(0755,root,root) /etc/init.d/maui
%attr(0755,root,root) /usr/sbin/maui
%dir /var/spool/maui/stats
%dir /var/spool/maui/traces
%dir /var/spool/maui/tools
%dir /var/spool/maui/spool
%config(noreplace) /etc/sysconfig/maui

%files devel
%attr(0644,root,root) /usr/include/moab.h
%attr(0644,root,root) /usr/lib/libmcom.a
%attr(0644,root,root) /usr/lib/libmoab.a

%post server
if [ "$1" = "1" ] ; then
    /sbin/chkconfig --add maui
    /sbin/chkconfig maui on
else
    /sbin/service maui status > /dev/null 2>&1
    if [ "$?" = "0" ] ; then
      /sbin/service maui stop
      sleep 3
      /sbin/service maui start
    fi
fi

%preun server
if [ "$1" = "0" ] ; then
   # We are removing the last version of the package.
   /sbin/service maui stop >& /dev/null
   /sbin/chkconfig maui off
   /sbin/chkconfig --del maui 
fi



%changelog
* Wed Mar 21 2007 Steve Traylen <steve.traylen@cern.ch>
- Build in version maui-3.2.6p19-snap.1171482917.tar.gz
  Built on torque-2.1.8-1cri_sl3/4_1st
  Current patches applied: maui_max_mres_patch , Increase number of job slots.
                           maui_max_mclass_patch, Increase number of queues supported.
                           maui_max_mjobs_patch,  Increase number of jobs supported.
                           adminhost-check.patch, Improve access control checks.
                           FSPolicy-value.patch,  FS % config does not work with out it.

* Wed Aug 30 2006 Steve Traylen <s.traylen@rl.ac.uk>
- Add restart things to %post, %pre
* Wed Nov 16 2005 Steve Traylen <s.traylen@rl.ac.uk
- First change log
- Make init.d script more LSB complient.

